# List v3 status pages. - Checkly Docs

> List the v3 (components-based) status pages of an account. v2 pages are served by /v1/status-pages.

Source: https://www.checklyhq.com/docs/api-reference/status-pages-v3/list-v3-status-pages/

---

List v3 status pages.

```
curl --request GET \
--url https://api.checklyhq.com/v3/status-pages \
--header 'Authorization: Bearer '
```

```
import requests

url = "https://api.checklyhq.com/v3/status-pages"

headers = {"Authorization": "Bearer "}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer '}};

fetch('https://api.checklyhq.com/v3/status-pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.checklyhq.com/v3/status-pages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.checklyhq.com/v3/status-pages"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer ")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.checklyhq.com/v3/status-pages")
.header("Authorization", "Bearer ")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.checklyhq.com/v3/status-pages")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer '

response = http.request(request)
puts response.read_body
```

```
{
"length": 123,
"entries": [
{
"name": " ",
"url": " ",
"id": " ",
"accountId": " ",
"version": 3,
"created_at": "2023-12-25",
"description": " ",
"customDomain": " ",
"themeColors": {
"light": {
"bodyBackgroundColor": " ",
"headerBackgroundColor": " ",
"headerFontColor": " ",
"titleFontColor": " ",
"bodyFontColor": " ",
"bodyFontColorMuted": " ",
"navigationFontColor": " ",
"linkFontColor": " ",
"cardBackgroundColor": " ",
"borderColor": " ",
"primaryButtonBackgroundColor": " ",
"primaryButtonFontColor": " "
},
"dark": {
"bodyBackgroundColor": " ",
"headerBackgroundColor": " ",
"headerFontColor": " ",
"titleFontColor": " ",
"bodyFontColor": " ",
"bodyFontColorMuted": " ",
"navigationFontColor": " ",
"linkFontColor": " ",
"cardBackgroundColor": " ",
"borderColor": " ",
"primaryButtonBackgroundColor": " ",
"primaryButtonFontColor": " "
}
},
"logo": " ",
"logoDark": " ",
"redirectTo": " ",
"favicon": " ",
"defaultTheme": "AUTO",
"privacyPolicyLink": " ",
"termsOfServiceLink": " ",
"supportLink": " ",
"footerText": " ",
"googleAnalyticsTag": " ",
"allowIndexing": true,
"isPrivate": true,
"updated_at": "2023-12-25"
}
],
"nextId": " "
}
```

```
{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}
```

```
{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}
```

```
{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}
```

```
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}
```

Status Pages

# List v3 status pages.

List the v3 (components-based) status pages of an account. v2 pages are served by /v1/status-pages.

GET

/

v3

/

status-pages

List v3 status pages.

```
#### Authorizations

​

Authorization

string

header

required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key [here](https://app.checklyhq.com/settings/user/api-keys). Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: `curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"`

#### Headers

​

x-checkly-account

string

Your Checkly account ID, you can find it at [https://app.checklyhq.com/settings/account/general](https://app.checklyhq.com/settings/account/general)

#### Query Parameters

​

limit

integer

default: 20

Required range: `1 ​

nextId

string

#### Response

Successful

​

length

integer

required

​

entries

object[]

required

Show child attributes

​

nextId

string | null

Was this page helpful?

[Suggest edits](https://github.com/checkly/docs/edit/main/api-reference/status-pages-v3/list-v3-status-pages.mdx)[Raise issue](https://github.com/checkly/docs/issues/new?title=Issue%20on%20docs&body=Path:%20/api-reference/status-pages-v3/list-v3-status-pages)

[List IPv6s for check runs as a TXT file Previous](https://www.checklyhq.com/docs/api-reference/static-ips/lists-all-source-ipv6s-for-check-runs-as-a-txt-file)[Create a new v3 status page. Next](https://www.checklyhq.com/docs/api-reference/status-pages-v3/create-a-new-v3-status-page)

[x](https://x.com/checklyhq)[github](https://github.com/checkly)[linkedin](https://linkedin.com/company/checkly)

[Powered by This documentation is built and hosted on Mintlify, a developer documentation platform](https://www.mintlify.com/?utm_campaign=poweredBy&utm_medium=referral&utm_source=checkly-422f444a)
